Package voltage.core

# Enum Class VoltageModule.ModuleNotifications

java.lang.Object
java.lang.Enum<VoltageModule.ModuleNotifications>
voltage.core.VoltageModule.ModuleNotifications

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageModule.ModuleNotifications>`, `Constable`

Enclosing class:
  `VoltageModule`

public static enum VoltageModule.ModuleNotifications extends Enum<VoltageModule.ModuleNotifications>
Notifications that are sent to your module's Notify()

See Also:
  - `VoltageModule.Notify(voltage.core.VoltageComponent,voltage.core.VoltageModule.ModuleNotifications,double,long,int,int,java.lang.Object)`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Button_Changed`
  doubleValue is the new button/toggle button value.
  `Canvas_LeftButtonDown`
  Deprecated.
  Use Object_LeftButtonDown instead
  `Canvas_LeftButtonUp`
  Deprecated.
  Use Object_LeftButtonUp instead
  `Canvas_MouseLeave`
  called when the mouse exits a canvas
  `Canvas_MouseMove`
  Deprecated.
  Use Object_MouseMove instead
  `Canvas_Painted`
  Painting complete.
  `Canvas_Painting`
  About to paint canvas.
  `Canvas_RightButtonDown`
  Deprecated.
  Use Object_RightButtonDown instead
  `Canvas_RightButtonUp`
  Deprecated.
  Use Object_RightButtonUp instead
  `Control_DragEnd`
  A button that is set up for dragging has ended a drag.
  `Control_DragOff`
  A button that is set up for dragging has been dragged off of.
  `Control_DragOn`
  A button that is set up for dragging has been dragged over.
  `Control_DragStart`
  A button that is set up for dragging has been started.
  `Curve_Changed`
  A curve's value has changed.
  `File_Dropped`
  Object is the file path string.
  `GUI_Update_Timer`
  Called every 100ms if turned on
  `Jack_Connected`
  longValue is the cable ID
  `Jack_Disconnected`
  longValue is the cable ID
  `Key_Press`
  A key was pressed while the module had the keyboard focus.
  `Keyboard_NoteOff`
  A note has been released on a VoltageKeyboard.
  `Keyboard_NoteOn`
  A note has been pressed on a VoltageKeyboard.
  `Knob_Changed`
  doubleValue is the new VoltageKnob value
  `Label_Changed`
  Object is a new String with the label's new text
  `Named_Timer`
  Object is a String containing the name of this timer
  `Object_LeftButtonDoubleClick`
  the use left-button double clicked on this voltage component.
  `Object_LeftButtonDown`
  the left mouse was clicked down on this voltage component.
  `Object_LeftButtonUp`
  the left mouse was released over this voltage component.
  `Object_MouseLeave`
  the mouse has left this voltage component.
  `Object_MouseMove`
  the mouse has moved over this voltage component.
  `Object_RightButtonDown`
  the right mouse was clicked down on this voltage component.
  `Object_RightButtonUp`
  the right mouse was released over this voltage component.
  `PolyVoices_Changed`
  longValue is the new number of Poly Voices
  `Preset_Loading_Finish`
  A preset has finished loading.
  `Preset_Loading_Start`
  A preset is about to load.
  `Randomized`
  The user has asked your module to randomize.
  `Remote_Control_Changed`
  Called when a remote control's object is changed or set
  `Remote_Control_Deleting`
  Called when a remote control is about to be deleted.
  `Reset`
  A module has been reset to default settings.
  `Scrollbar_Position`
  Scrollbar position update.
  `Slider_Changed`
  doubleValue is the new slider value
  `SoundPlayback_End`
  A sound has ended playback.
  `SoundPlayback_Start`
  A sound has begun playback.
  `Switch_Changed`
  doubleValue is the new switch value
  `Tempo_Changed`
  doubleValue is the new tempo
  `Variation_Loading_Finish`
  A variation has finished loading.
  `Variation_Loading_Start`
  A variation is about to load.
  `VariationListChanged`
  The variations have changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoltageModule.ModuleNotifications`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageModule.ModuleNotifications[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Knob_Changed

    public static final VoltageModule.ModuleNotifications Knob_Changed
    doubleValue is the new VoltageKnob value

  - ### Slider_Changed

    public static final VoltageModule.ModuleNotifications Slider_Changed
    doubleValue is the new slider value

  - ### Button_Changed

    public static final VoltageModule.ModuleNotifications Button_Changed
    doubleValue is the new button/toggle button value. 1.0 means the button is down and 0.0 means the button is up.

  - ### Switch_Changed

    public static final VoltageModule.ModuleNotifications Switch_Changed
    doubleValue is the new switch value

  - ### Jack_Connected

    public static final VoltageModule.ModuleNotifications Jack_Connected
    longValue is the cable ID

  - ### Jack_Disconnected

    public static final VoltageModule.ModuleNotifications Jack_Disconnected
    longValue is the cable ID

  - ### GUI_Update_Timer

    public static final VoltageModule.ModuleNotifications GUI_Update_Timer
    Called every 100ms if turned on

  - ### Named_Timer

    public static final VoltageModule.ModuleNotifications Named_Timer
    Object is a String containing the name of this timer

  - ### Canvas_Painting

    public static final VoltageModule.ModuleNotifications Canvas_Painting
    About to paint canvas. object is a java.awt.Rectangle with painting boundaries

  - ### Canvas_Painted

    public static final VoltageModule.ModuleNotifications Canvas_Painted
    Painting complete.

  - ### Canvas_MouseMove

    @Deprecated public static final VoltageModule.ModuleNotifications Canvas_MouseMove
    Deprecated.
    Use Object_MouseMove instead

  - ### Canvas_LeftButtonDown

    @Deprecated public static final VoltageModule.ModuleNotifications Canvas_LeftButtonDown
    Deprecated.
    Use Object_LeftButtonDown instead

  - ### Canvas_LeftButtonUp

    @Deprecated public static final VoltageModule.ModuleNotifications Canvas_LeftButtonUp
    Deprecated.
    Use Object_LeftButtonUp instead

  - ### Canvas_RightButtonDown

    @Deprecated public static final VoltageModule.ModuleNotifications Canvas_RightButtonDown
    Deprecated.
    Use Object_RightButtonDown instead

  - ### Canvas_RightButtonUp

    @Deprecated public static final VoltageModule.ModuleNotifications Canvas_RightButtonUp
    Deprecated.
    Use Object_RightButtonUp instead

  - ### SoundPlayback_Start

    public static final VoltageModule.ModuleNotifications SoundPlayback_Start
    A sound has begun playback. No other parameters are set.

  - ### SoundPlayback_End

    public static final VoltageModule.ModuleNotifications SoundPlayback_End
    A sound has ended playback. No other parameters are set.

  - ### Control_DragStart

    public static final VoltageModule.ModuleNotifications Control_DragStart
    A button that is set up for dragging has been started. @see VoltageButton

  - ### Control_DragOn

    public static final VoltageModule.ModuleNotifications Control_DragOn
    A button that is set up for dragging has been dragged over. object is the initial drag button. @see VoltageButton

  - ### Control_DragOff

    public static final VoltageModule.ModuleNotifications Control_DragOff
    A button that is set up for dragging has been dragged off of. object is the initial drag button. @see VoltageButton

  - ### Control_DragEnd

    public static final VoltageModule.ModuleNotifications Control_DragEnd
    A button that is set up for dragging has ended a drag. @see VoltageButton

  - ### Label_Changed

    public static final VoltageModule.ModuleNotifications Label_Changed
    Object is a new String with the label's new text

  - ### Scrollbar_Position

    public static final VoltageModule.ModuleNotifications Scrollbar_Position
    Scrollbar position update. longValue is the new position of the scrollbar.

  - ### PolyVoices_Changed

    public static final VoltageModule.ModuleNotifications PolyVoices_Changed
    longValue is the new number of Poly Voices

  - ### Canvas_MouseLeave

    public static final VoltageModule.ModuleNotifications Canvas_MouseLeave
    called when the mouse exits a canvas

  - ### Remote_Control_Changed

    public static final VoltageModule.ModuleNotifications Remote_Control_Changed
    Called when a remote control's object is changed or set

  - ### Remote_Control_Deleting

    public static final VoltageModule.ModuleNotifications Remote_Control_Deleting
    Called when a remote control is about to be deleted.

  - ### File_Dropped

    public static final VoltageModule.ModuleNotifications File_Dropped
    Object is the file path string.

  - ### Preset_Loading_Start

    public static final VoltageModule.ModuleNotifications Preset_Loading_Start
    A preset is about to load.

  - ### Preset_Loading_Finish

    public static final VoltageModule.ModuleNotifications Preset_Loading_Finish
    A preset has finished loading.

  - ### Variation_Loading_Start

    public static final VoltageModule.ModuleNotifications Variation_Loading_Start
    A variation is about to load.

  - ### Variation_Loading_Finish

    public static final VoltageModule.ModuleNotifications Variation_Loading_Finish
    A variation has finished loading.

  - ### Tempo_Changed

    public static final VoltageModule.ModuleNotifications Tempo_Changed
    doubleValue is the new tempo

  - ### Randomized

    public static final VoltageModule.ModuleNotifications Randomized
    The user has asked your module to randomize.

  - ### VariationListChanged

    public static final VoltageModule.ModuleNotifications VariationListChanged
    The variations have changed.

  - ### Object_MouseMove

    public static final VoltageModule.ModuleNotifications Object_MouseMove
    the mouse has moved over this voltage component. x and y are the position on the component. object is a VoltageMouseKeyFlags. @see VoltageMouseKeyFlags.

  - ### Object_MouseLeave

    public static final VoltageModule.ModuleNotifications Object_MouseLeave
    the mouse has left this voltage component. object is a VoltageMouseKeyFlags. @see VoltageMouseKeyFlags.

  - ### Object_LeftButtonDown

    public static final VoltageModule.ModuleNotifications Object_LeftButtonDown
    the left mouse was clicked down on this voltage component. x and y are the position on the component. object is a VoltageMouseKeyFlags. @see VoltageMouseKeyFlags.

  - ### Object_LeftButtonUp

    public static final VoltageModule.ModuleNotifications Object_LeftButtonUp
    the left mouse was released over this voltage component. x and y are the position on the component. object is a VoltageMouseKeyFlags. @see VoltageMouseKeyFlags.

  - ### Object_RightButtonDown

    public static final VoltageModule.ModuleNotifications Object_RightButtonDown
    the right mouse was clicked down on this voltage component. x and y are the position on the component. object is a VoltageMouseKeyFlags. @see VoltageMouseKeyFlags.

  - ### Object_RightButtonUp

    public static final VoltageModule.ModuleNotifications Object_RightButtonUp
    the right mouse was released over this voltage component. x and y are the position on the component. object is a VoltageMouseKeyFlags. @see VoltageMouseKeyFlags.

  - ### Object_LeftButtonDoubleClick

    public static final VoltageModule.ModuleNotifications Object_LeftButtonDoubleClick
    the use left-button double clicked on this voltage component. x and y are the position on the component. object is a VoltageMouseKeyFlags. @see VoltageMouseKeyFlags.

  - ### Key_Press

    public static final VoltageModule.ModuleNotifications Key_Press
    A key was pressed while the module had the keyboard focus. object is the corresponding VoltageKeyPressInfo info. @see VoltageKeyPressInfo

  - ### Reset

    public static final VoltageModule.ModuleNotifications Reset
    A module has been reset to default settings. Use this notification to update any non-standard controls to their defaults.

  - ### Keyboard_NoteOn

    public static final VoltageModule.ModuleNotifications Keyboard_NoteOn
    A note has been pressed on a VoltageKeyboard. longValue is the note value ( 0-127 )

  - ### Keyboard_NoteOff

    public static final VoltageModule.ModuleNotifications Keyboard_NoteOff
    A note has been released on a VoltageKeyboard. longValue is the note value ( 0-127 )

  - ### Curve_Changed

    public static final VoltageModule.ModuleNotifications Curve_Changed
    A curve's value has changed. doubleValue is the new curve value

- ## Method Details

  - ### values

    public static VoltageModule.ModuleNotifications[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageModule.ModuleNotifications valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null